/* 报告管理 策略时间线 */
import http from "@/api/http.js";

const timeLineApi = {
  // 策略时间线列表
  getTacticsTimeLineList: (params) => {
    return http.get("/cygx/tacticsTimeLine/list", params);
  },
  // 新增策略时间线
  tacticsTimeLinePreserveAndPublish: (params) => {
    return http.post("/cygx/tacticsTimeLine/preserveAndPublish", params);
  },
  // 一键发布/取消发布报告接口
  tacticsTimeLineAllCancel: (params) => {
    return http.post("/cygx/tacticsTimeLine/all/publishAndcancel", params);
  },
  // 发布/取消发布报告
  tacticsTimeLineCancel: (params) => {
    return http.post("/cygx/tacticsTimeLine/publishAndcancel", params);
  },
  // 删除
  tacticsTimeLineDelete: (params) => {
    return http.post("/cygx/tacticsTimeLine/delete", params);
  },

  // 固收时间线列表
  getGushouTimeLineList: (params) => {
    return http.get("/cygx/gushouTimeLine/list", params);
  },
  // 新增固收时间线
  gushouTimeLinePreserveAndPublish: (params) => {
    return http.post("/cygx/gushouTimeLine/preserveAndPublish", params);
  },
  // 固收一键发布/取消发布报告接口
  gushouTimeLineAllCancel: (params) => {
    return http.post("/cygx/gushouTimeLine/all/publishAndcancel", params);
  },
  // 固收发布/取消发布报告
  gushouTimeLineCancel: (params) => {
    return http.post("/cygx/gushouTimeLine/publishAndcancel", params);
  },
  // 固收删除
  gushouTimeLineDelete: (params) => {
    return http.post("/cygx/gushouTimeLine/delete", params);
  },


  // 新建报告类型
  reportMappingAdd: (params) => {
    return http.post("/cygx/reportMapping/add", params);
  },
};

export default timeLineApi;
